<?php


namespace FiloBlu\Kpi\Cron;

class Createviews
{
    protected $logger;
    protected $_kpiCreateviews;

    public function __construct(
        \Psr\Log\LoggerInterface $logger,
        \FiloBlu\Kpi\Model\Createviews $kpiCreateviews
    )
    {
        $this->logger = $logger;
        $this->_kpiCreateviews = $kpiCreateviews;
    }

    public function execute()
    {
        $this->logger->addInfo("Executing Cronjob Createviews is executed.");
        $this->_kpiCreateviews->createViews();
        $this->logger->addInfo("Cronjob Createviews is executed.");
    }
}